Skip to main content
Employee / Pay Runs

Create a pay run mail batch

This method requires the PayRunMailBatch:Create permission to be associated with your role.

POST
/sp/pay-run/mail-batch
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$
Time-Zonestringheaderdefault:UTC

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Body

multipart/form-data
override_warnings_flagenum<string>default:no

Override warning validation. If not specified, defaults to 'no'

Available options: yes, no
pay_run_idstringrequired

Pay Run Id

Response

application/json

Success - pay run mail batch has been created successfully

mail_batch_nostring

Mail Batch No